Also install a dynamic library.
--- Makefile.in.orig	2011-03-24 14:32:33.000000000 -0500
+++ Makefile.in	2018-10-09 05:01:33.000000000 -0500
@@ -18,7 +18,7 @@
 
 DISTNAME = @PACKAGE_TARNAME@-@PACKAGE_VERSION@
 
-all: libbswabe.a TAGS
+all: libbswabe.a libbswabe.0.dylib TAGS
 
 # compilation and library making
 
@@ -26,6 +26,10 @@
 	rm -f $@
 	ar rc $@ $^
 
+libbswabe.0.dylib: core.o misc.o
+	rm -f $@
+	$(CC) -dynamiclib -install_name $(libdir)/$@ $(LDFLAGS) -o $@ $^
+
 # test: test.o libbswabe.a
 # 	$(CC) -o $@ $(LDFLAGS) $^
 
@@ -44,14 +48,17 @@
 	tar zc $(DISTNAME) > $(DISTNAME).tar.gz
 	rm -rf $(DISTNAME)
 
-install: libbswabe.a bswabe.h
+install: libbswabe.a libbswabe.0.dylib bswabe.h
 	$(top_srcdir)/mkinstalldirs -m 755 $(DESTDIR)$(libdir)
 	$(top_srcdir)/mkinstalldirs -m 755 $(DESTDIR)$(includedir)
-	$(top_srcdir)/install-sh -m 755 libbswabe.a $(DESTDIR)$(libdir)
+	$(top_srcdir)/install-sh -m 755 libbswabe.a libbswabe.0.dylib $(DESTDIR)$(libdir)
+	ln -s libbswabe.0.dylib $(DESTDIR)$(libdir)/libbswabe.dylib
 	$(top_srcdir)/install-sh -m 644 bswabe.h $(DESTDIR)$(includedir)
 
 uninstall:
 	/bin/rm -f $(DESTDIR)$(libdir)/libbswabe.a
+	/bin/rm -f $(DESTDIR)$(libdir)/libbswabe.0.dylib
+	/bin/rm -f $(DESTDIR)$(libdir)/libbswabe.dylib
 	/bin/rm -f $(DESTDIR)$(includedir)/bswabe.h
 
 # development and meta stuff
@@ -72,7 +79,7 @@
 
 # remove everything an installing user can rebuild
 clean:
-	rm -rf *.o *.a $(DISTNAME) *.tar.gz TAGS *~
+	rm -rf *.o *.a *.dylib $(DISTNAME) *.tar.gz TAGS *~
 
 # remove everything a package developer can rebuild
 distclean: clean
